Added build.sh checks for as and ld to be installed

This commit is contained in:
jahway603
2024-09-26 10:39:28 -04:00
parent ec07eb04fc
commit 8333810f0f

View File

@@ -17,6 +17,18 @@ if ! [ -x "$(command -v autoreconf)" ]; then
exit 1
fi
if ! [ -x "$(command -v as)" ]; then
echo 'Error: as is not installed. Install as and try again.' >&2
echo 'On Debian-like systems: apt install binutils' >&2
exit 1
fi
if ! [ -x "$(command -v ld)" ]; then
echo 'Error: ld is not installed. Install ld and try again.' >&2
echo 'On Debian-like systems: apt install binutils' >&2
exit 1
fi
function cmd_pref() {
if type -p "$2" > /dev/null; then
eval "$1=$2"